You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@spark.apache.org by ej...@apache.org on 2018/03/16 17:38:53 UTC

spark git commit: [SPARK-23680] Fix entrypoint.sh to properly support Arbitrary UIDs

Repository: spark
Updated Branches:
  refs/heads/master 88d8de926 -> 9945b0227


[SPARK-23680] Fix entrypoint.sh to properly support Arbitrary UIDs

## What changes were proposed in this pull request?

As described in SPARK-23680, entrypoint.sh returns an error code because of a command pipeline execution where it is expected in case of Openshift environments, where arbitrary UIDs are used to run containers

## How was this patch tested?

This patch was manually tested by using docker-image-toll.sh script to generate a Spark driver image and running an example against an OpenShift cluster.

Please review http://spark.apache.org/contributing.html before opening a pull request.

Author: Ricardo Martinelli de Oliveira <rm...@rmartine.gru.redhat.com>

Closes #20822 from rimolive/rmartine-spark-23680.


Project: http://git-wip-us.apache.org/repos/asf/spark/repo
Commit: http://git-wip-us.apache.org/repos/asf/spark/commit/9945b022
Tree: http://git-wip-us.apache.org/repos/asf/spark/tree/9945b022
Diff: http://git-wip-us.apache.org/repos/asf/spark/diff/9945b022

Branch: refs/heads/master
Commit: 9945b0227efcd952c8e835453b2831a8c6d5d607
Parents: 88d8de9
Author: Ricardo Martinelli de Oliveira <rm...@rmartine.gru.redhat.com>
Authored: Fri Mar 16 10:37:11 2018 -0700
Committer: Erik Erlandson <ee...@redhat.com>
Committed: Fri Mar 16 10:37:11 2018 -0700

----------------------------------------------------------------------
 .../kubernetes/docker/src/main/dockerfiles/spark/entrypoint.sh    | 3 +++
 1 file changed, 3 insertions(+)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/spark/blob/9945b022/resource-managers/kubernetes/docker/src/main/dockerfiles/spark/entrypoint.sh
----------------------------------------------------------------------
diff --git a/resource-managers/kubernetes/docker/src/main/dockerfiles/spark/entrypoint.sh b/resource-managers/kubernetes/docker/src/main/dockerfiles/spark/entrypoint.sh
index 3d67b0a..d0cf284 100755
--- a/resource-managers/kubernetes/docker/src/main/dockerfiles/spark/entrypoint.sh
+++ b/resource-managers/kubernetes/docker/src/main/dockerfiles/spark/entrypoint.sh
@@ -22,7 +22,10 @@ set -ex
 # Check whether there is a passwd entry for the container UID
 myuid=$(id -u)
 mygid=$(id -g)
+# turn off -e for getent because it will return error code in anonymous uid case
+set +e
 uidentry=$(getent passwd $myuid)
+set -e
 
 # If there is no passwd entry for the container UID, attempt to create one
 if [ -z "$uidentry" ] ; then


---------------------------------------------------------------------
To unsubscribe, e-mail: commits-unsubscribe@spark.apache.org
For additional commands, e-mail: commits-help@spark.apache.org